Package Details: qsampler 0.4.0-3

Git Clone URL: https://aur.archlinux.org/qsampler.git (read-only)
Package Base: qsampler
Description: LinuxSampler Qt GUI
Upstream URL: http://qsampler.sourceforge.net/
Keywords: audio frontend sampler samples
Licenses: GPL
Submitter: shinlun
Maintainer: Morn
Last Packager: Morn
Votes: 42
Popularity: 0.729371
First Submitted: 2007-05-16 08:10
Last Updated: 2016-07-03 20:39

Latest Comments

Morn commented on 2016-07-03 20:41

GCC 6 problem is now fixed. Found a fix on the Fedora mailing list.

Morn commented on 2016-07-03 15:25

So this seems to be the same gcc 6-related compilation issue I also encountered with scid_vs_pc a while ago: https://bbs.archlinux.org/viewtopic.php?id=212803

I don't know how to fix it yet though.

Morn commented on 2016-07-02 23:10

Thanks, I've added the missing dependency. Unfortunately the package does not build for me currently:

/usr/include/c++/6.1.1/cstdlib:75:25: fatal error: stdlib.h: No such file or directory
#include_next <stdlib.h>
^
compilation terminated.
make[2]: *** [Makefile:929: .obj/qsampler.o] Error 1

denisfalqueto commented on 2016-07-02 02:14

Compilling from a clean chroot, it fails because qt5-x11extras is missing as a dependency.

Morn commented on 2015-08-21 09:10

OK, added liblscp to AUR

lucianoar commented on 2015-08-21 02:21

Dependency liblscp not found in aur

produnis commented on 2015-06-21 18:32

works great now!
thx Morn!

Morn commented on 2015-06-21 18:13

I did not bump pkgrel, so maybe that's why the new dependency did not get registered properly. Fixed now (0.3.0-2).

produnis commented on 2015-06-21 18:08

thx, morn, wokrs now!

Please note everybody that with this new dependency, you need to pacaur -S qsampler in order to make it work. A plain pacaur -Syu will still fail (as it misses qt5-tools)

Morn commented on 2015-06-21 18:05

Ok, added qt5-tools dependency. Please report if this works now or more dependencies are needed.

All comments